<template>
  <header id="home" class="container mx-auto header">
    <div class="flexbox-column reversible">
      <div class="social-links">
        <a href="https://www.facebook.com/cpusp/" class="icon-wrapper">
          <img src="@/assets/facebook.png" alt="Facebook" class="icon">
          fb.com/cpusp
        </a>
        <a href="https://www.instagram.com/cursinhopoliusp/?hl=pt-br" class="icon-wrapper">
          <img src="@/assets/instagram.png" alt="Instragram" class="icon">
          @cursinhopoliusp
        </a>
      </div>
      <img
        class="logo"
        src="@/assets/cursinho.svg" 
        alt="Cursinho Popular da Poli USP">
    </div>

    <div class="flexbox-column">
      <h2
        class="site-title">
        Cursinho Popular da Poli USP
      </h2>
      <MyButton
        href="#classes"
        target="_self"
        title="INSCREVA-SE" />
      <p class="site-subtitle">
        Cursinho pré-vestibular, sem mensalidades, focado em todas as áreas: Biológicas, Exatas e Humanas
      </p>
    </div>
  </header>
</template>

<script lang='ts'>
import Vue from 'vue';
import Component from 'vue-class-component';

import MyButton from '@/components/Button.vue';

@Component({
  components: { MyButton },
})
export default class Header extends Vue {}
</script>

<style lang="postcss" scoped>
.flexbox-column {
  @apply flex flex-col justify-center items-center;
}

.icon-wrapper {
  @apply flex flex-col items-center;
}

.icon {
  @apply mx-6 my-2 h-8 w-8;
}

.header {
  @apply flex flex-col justify-around items-center;
  @apply h-90
}

.social-links {
  @apply p-2 -mt-4 w-full;
  @apply flex flex-row justify-around items-center;
  @apply shadow-lg;
  @apply bg-gray-300;
  @apply text-sm;
}

.logo {
  @apply w-1/2;
}

.site-title {
  @apply p-4;
  @apply text-xl text-center;
}

.site-subtitle {
  @apply px-6 py-4;
  @apply text-sm text-center;
}

@screen md {
  .flexbox-column.reversible {
    @apply flex-col-reverse;
  }

  .social-links {
    @apply mt-4;
    @apply shadow-none;
    @apply bg-transparent;
  }
}

@screen lg {
  .header {
    @apply flex-row;
  }
}
</style>